GET /readyz
Service: platform · operationId: (none)
Required scopes
(no scope declared — review service config)
Responses
200 Service ready
{
"type": "object",
"properties": {
"status": {
"type": "string",
"enum": [
"ready",
"not_ready"
]
},
"uptime_seconds": {
"type": "number"
},
"checks": {
"type": "object",
"properties": {
"db": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"latency_ms": {
"type": "number"
}
},
"required": [
"ok",
"latency_ms"
]
}
},
"required": [
"db"
]
}
},
"required": [
"status",
"uptime_seconds",
"checks"
]
}503 Service not ready
{
"type": "object",
"properties": {
"status": {
"type": "string",
"enum": [
"ready",
"not_ready"
]
},
"uptime_seconds": {
"type": "number"
},
"checks": {
"type": "object",
"properties": {
"db": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"latency_ms": {
"type": "number"
}
},
"required": [
"ok",
"latency_ms"
]
}
},
"required": [
"db"
]
}
},
"required": [
"status",
"uptime_seconds",
"checks"
]
}Example
curl -X GET https://platform.platform.loop.health/readyz \
-H "Authorization: Bearer $ACCESS_TOKEN"Related
services/platform— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced